<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>propclass/gravity.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">propclass/gravity.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2001 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment">  </span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment">  </span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment">  </span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_PF_GRAVITY__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_PF_GRAVITY__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00025"></a>00025 
<a name="l00026"></a>00026 <span class="keyword">struct </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCollider.html">iCollider</a>;
<a name="l00027"></a>00027 <span class="keyword">struct </span><a class="code" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a>;
<a name="l00028"></a>00028 <span class="keyword">struct </span><a class="code" href="structiPcMovable.html" title="Control moving an iPcMesh.">iPcMovable</a>;
<a name="l00029"></a>00029 <span class="keyword">struct </span><a class="code" href="structiPcSolid.html" title="A solid representation of an entity.">iPcSolid</a>;
<a name="l00030"></a>00030 <span class="keyword">class </span><a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>;
<a name="l00031"></a>00031 
<a name="l00042"></a><a class="code" href="structiPcGravity.html">00042</a> <span class="keyword">struct </span><a class="code" href="structiPcGravity.html" title="Gravity handling property class.">iPcGravity</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00043"></a>00043 {
<a name="l00044"></a>00044   SCF_INTERFACE (<a class="code" href="structiPcGravity.html" title="Gravity handling property class.">iPcGravity</a>, 0, 0, 1);
<a name="l00045"></a>00045 
<a name="l00051"></a>00051   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcGravity.html#ab033fe8fcf1eeb194beb1ebc87090af9" title="Create a gravity collider from the given mesh.">CreateGravityCollider</a> (<a class="code" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a>* mesh) = 0;
<a name="l00052"></a>00052 
<a name="l00056"></a>00056   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcGravity.html#ab033fe8fcf1eeb194beb1ebc87090af9" title="Create a gravity collider from the given mesh.">CreateGravityCollider</a> (<span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; dim,
<a name="l00057"></a>00057         <span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; offs) = 0;
<a name="l00058"></a>00058 
<a name="l00063"></a>00063   <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiCollider.html">iCollider</a>* <a class="code" href="structiPcGravity.html#a71935abdc0149fb07f893d78b349f150" title="Get the gravity collider.">GetGravityCollider</a> () = 0;
<a name="l00064"></a>00064 
<a name="l00069"></a>00069   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcGravity.html#a7e236be28d3bf7ff627c82aa031ac5a9" title="Set the movable on which we will operate.">SetMovable</a> (<a class="code" href="structiPcMovable.html" title="Control moving an iPcMesh.">iPcMovable</a>* movable) = 0;
<a name="l00073"></a>00073   <span class="keyword">virtual</span> <a class="code" href="structiPcMovable.html" title="Control moving an iPcMesh.">iPcMovable</a>* <a class="code" href="structiPcGravity.html#af873104570c91c239e476b1faeef0b72" title="Get the current movable.">GetMovable</a> () = 0;
<a name="l00074"></a>00074 
<a name="l00080"></a>00080   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcGravity.html#a04a4cd61dcb780c0256f98fe142aa94e" title="Set the solid representation which we will additionally use for collision detection.">SetSolid</a> (<a class="code" href="structiPcSolid.html" title="A solid representation of an entity.">iPcSolid</a>* solid) = 0;
<a name="l00084"></a>00084   <span class="keyword">virtual</span> <a class="code" href="structiPcSolid.html" title="A solid representation of an entity.">iPcSolid</a>* <a class="code" href="structiPcGravity.html#af26827a54c25d5c4807ac3e2e5fd614b" title="Get the current solid.">GetSolid</a> () = 0;
<a name="l00085"></a>00085 
<a name="l00089"></a>00089   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcGravity.html#a36ee790700f1344455bffdd8748264c4" title="Set the weight of this object.">SetWeight</a> (<span class="keywordtype">float</span> w) = 0;
<a name="l00093"></a>00093   <span class="keyword">virtual</span> <span class="keywordtype">float</span> <a class="code" href="structiPcGravity.html#a31dae2fddc1156aa37c16eaa9f7a1357" title="Get the weight of this object.">GetWeight</a> () <span class="keyword">const</span> = 0;
<a name="l00094"></a>00094 
<a name="l00098"></a>00098   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcGravity.html#a3a731dee91b14abd048a5c52a37ba381" title="Clear all non-permanent forces.">ClearForces</a> () = 0;
<a name="l00102"></a>00102   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcGravity.html#a8389b079c598733912e6e3211ef8dfac" title="Clear all permanent forces.">ClearPermanentForces</a> () = 0;
<a name="l00106"></a>00106   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcGravity.html#ab2b8869754da9122d3bb00460bd6b63a" title="Reset speed (but leave forces alone).">ResetSpeed</a> () = 0;
<a name="l00110"></a>00110   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcGravity.html#a5f64dab083f3ca2465f64aa370c2ff08" title="Apply a non-permanent force.">ApplyForce</a> (<span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; force, <span class="keywordtype">float</span> time) = 0;
<a name="l00114"></a>00114   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcGravity.html#aeaf5997493d26ebf63c30e8e7d8cac2c" title="Apply an permanent force.">ApplyPermanentForce</a> (<span class="keyword">const</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; force) = 0;
<a name="l00115"></a>00115 
<a name="l00120"></a>00120   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcGravity.html#ae796d9c9edb8bc588dce392eb61892e6" title="Return true if object is resting.">IsResting</a> () <span class="keyword">const</span> = 0;
<a name="l00121"></a>00121 
<a name="l00125"></a>00125   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcGravity.html#a30cc9af0cd32499f2835f7c2a0dab0a7" title="Activate/deactivate physics handling for this object.">SetActive</a> (<span class="keywordtype">bool</span> activate) = 0;
<a name="l00129"></a>00129   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcGravity.html#a7003be52c06218499a9ba974ba1fde9c" title="Check activation status.">IsActive</a> () <span class="keyword">const</span> = 0;
<a name="l00130"></a>00130 };
<a name="l00131"></a>00131 
<a name="l00132"></a>00132 <span class="preprocessor">#endif // __CEL_PF_GRAVITY__</span>
<a name="l00133"></a>00133 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
